function onUse(cid, item, frompos, item2, topos) -- Não mecha.


storage = 33332 -- Storage a cada quest que for criada aumente um numero da storage pra qnd vc pegar o baú de outra quest ñ aparecer que vc já fez.
item = 2195 -- Id do item ira ganhar.
quantidade = 1 -- Quantidade ira ganhar.
level = 20 -- Level que precisa pra fazer.

    if getPlayerLevel(cid) >= level and getPlayerStorageValue(cid,storage) == -1 then -- Não mecha.
doPlayerSendTextMessage(cid,38,"You won a Boots of Haste!") -- Mensagem que aparecera quando ganhar o item.
doPlayerAddItem(cid, item, quantidade) -- Não mecha.
setPlayerStorageValue(cid,storage,1) -- Não mecha.

elseif getPlayerLevel(cid) <= level then -- Não mecha
doPlayerSendTextMessage(cid,38,"You need to be level 20 or higher") -- Mensagem que ira aparecer se o player tiver menos level que o necessario.

elseif getPlayerStorageValue(cid,storage) >= 1 then -- Não mecha.
doPlayerSendTextMessage(cid,30,"You already got you reward") -- Quando tentar pegar mais de uma vez o baú.
end
return true
end